- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes

# FbxFile Class Reference

This reference page is linked to from the following overview topics: FBX SDK 2013.

Search for all occurrences

## Detailed Description

Definition at line 24 of file fbxfile.h.

`#include <fbxfile.h>`

List of all members.

## Public Types
enum | EMode { eNone, eReadOnly, eReadWrite, eCreateWriteOnly, eCreateReadWrite, eCreateAppend }
enum | ESeekPos { eBegin, eCurrent, eEnd }
## Public Member Functions
| FbxFile ()
virtual | ~FbxFile ()
virtual bool | Open (const char *pFileName_UTF8, const EMode &pMode=eCreateReadWrite, const bool &pBinary=true)
virtual bool | Open (FbxStream *pStream, void *pStreamData, const char *pMode)
virtual bool | Close ()
virtual void | Seek (const FbxInt64 &pOffset, const ESeekPos &pSeekPos=eBegin)
virtual FbxInt64 | Tell () const
virtual size_t | Read (void *pDstBuf, const size_t &pSize)
virtual char * | ReadString (char *pDstBuf, const size_t &pDstSize, bool pStopAtFirstWhiteSpace=false)
virtual size_t | Write (const void *pSrcBuf, const size_t &pSize)
virtual bool | WriteFormat (const char *pFormat,...)
virtual bool | Truncate (const FbxInt64 &pSize)
virtual bool | EndOfFile () const
virtual FbxInt64 | GetSize ()
virtual void | GetMemoryFileInfo (void **pMemPtr, size_t &pSize)
bool | IsOpen () const
bool | IsStream () const
const char * | GetFilePathName () const
EMode | GetFileMode () const
int | GetLastError ()
void | ClearError ()
## Protected Attributes
FILE * | mFilePtr
FbxStream * | mStreamPtr
bool | mIsOpen
bool | mIsStream
EMode | mMode
FbxString | mFileName

## Member Enumeration Documentation

enum EMode

Search for all occurrences

Enumerator:

  eNone | Search for all occurrences
  eReadOnly | Search for all occurrences
  eReadWrite | Search for all occurrences
  eCreateWriteOnly | Search for all occurrences
  eCreateReadWrite | Search for all occurrences
  eCreateAppend | Search for all occurrences

Definition at line 27 of file fbxfile.h.

    {eNone, eReadOnly, eReadWrite, eCreateWriteOnly, eCreateReadWrite, eCreateAppend};

enum ESeekPos

Search for all occurrences

Enumerator:

  eBegin | Search for all occurrences
  eCurrent | Search for all occurrences
  eEnd | Search for all occurrences

Definition at line 28 of file fbxfile.h.

    {eBegin, eCurrent, eEnd};

## Constructor & Destructor Documentation

FbxFile | ( |  | ) |

virtual ~FbxFile | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Open | ( | const char * | pFileName_UTF8,
|  | const EMode & | pMode = `eCreateReadWrite`,
|  | const bool & | pBinary = `true`
| ) |  | `[virtual]`

Search for all occurrences

virtual bool Open | ( | FbxStream * | pStream,
|  | void * | pStreamData,
|  | const char * | pMode
| ) |  | `[virtual]`

Search for all occurrences

virtual bool Close | ( |  | ) | `[virtual]`

Search for all occurrences

virtual void Seek | ( | const FbxInt64 & | pOffset,
|  | const ESeekPos & | pSeekPos = `eBegin`
| ) |  | `[virtual]`

Search for all occurrences

virtual FbxInt64 Tell | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual size_t Read | ( | void * | pDstBuf,
|  | const size_t & | pSize
| ) |  | `[virtual]`

Search for all occurrences

virtual char* ReadString | ( | char * | pDstBuf,
|  | const size_t & | pDstSize,
|  | bool | pStopAtFirstWhiteSpace = `false`
| ) |  | `[virtual]`

Search for all occurrences

virtual size_t Write | ( | const void * | pSrcBuf,
|  | const size_t & | pSize
| ) |  | `[virtual]`

Search for all occurrences

virtual bool WriteFormat | ( | const char * | pFormat,
|  |  | ...
| ) |  | `[virtual]`

Search for all occurrences

virtual bool Truncate | ( | const FbxInt64 & | pSize | ) | `[virtual]`

Search for all occurrences

virtual bool EndOfFile | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual FbxInt64 GetSize | ( |  | ) | `[virtual]`

Search for all occurrences

virtual void GetMemoryFileInfo | ( | void ** | pMemPtr,
|  | size_t & | pSize
| ) |  | `[virtual]`

Search for all occurrences

bool IsOpen | ( |  | ) | const

Search for all occurrences

bool IsStream | ( |  | ) | const

Search for all occurrences

const char* GetFilePathName | ( |  | ) | const

Search for all occurrences

EMode GetFileMode | ( |  | ) | const

Search for all occurrences

int GetLastError | ( |  | ) |

Search for all occurrences

void ClearError | ( |  | ) |

Search for all occurrences

## Member Data Documentation

FILE* mFilePtr `[protected]`

Search for all occurrences

Definition at line 59 of file fbxfile.h.

FbxStream* mStreamPtr `[protected]`

Search for all occurrences

Definition at line 60 of file fbxfile.h.

bool mIsOpen `[protected]`

Search for all occurrences

Definition at line 61 of file fbxfile.h.

bool mIsStream `[protected]`

Search for all occurrences

Definition at line 62 of file fbxfile.h.

EMode mMode `[protected]`

Search for all occurrences

Definition at line 63 of file fbxfile.h.

FbxString mFileName `[protected]`

Search for all occurrences

Definition at line 64 of file fbxfile.h.

The documentation for this class was generated from the following file:

- fbxsdk/core/base/fbxfile.h

FbxFile FbxFile FbxFile FbxFile FbxFile FbxFile FbxFile FbxFile FbxFile FbxFile
FbxFile FbxFile FbxFile FbxFile FbxFile FbxFile FbxFile FbxFile FbxFile FbxFile